CHRT(1)

BEZEICHNUNG
chrt - die Echtzeitattribute eines Prozesses manipulieren

ÜBERSICHT
chrt [Optionen] Priorität Befehl [Argument…]
chrt [Optionen] -p [Priorität] PID

BESCHREIBUNG

chrt setzt oder ermittelt die Echtzeit-Scheduling-Attribute eines existierenden Prozesses mit der Kennung PID oder führt einen Befehl mit den angegebenen Attributen aus.

SCHEDULING-REGELN

-o, --other
    setzt die Scheduling-Regel auf SCHED_RR. Dies ist die Vorgabe unter Linux.

-f, --fifo
    setzt die Scheduling-Regel auf SCHED_FIFO.

-r, --rr
    setzt die Scheduling-Regel auf SCHED_RR. Wenn keine Regel definiert ist, wird SCHED_RR als Vorgabe verwendet.

-b, --batch
    setzt die Scheduling-Regel auf SCHED_BATCH (Linux-spezifisch, unterstützt seit 2.6.16). Das Prioritäts-Argument muss auf Null gesetzt werden.

-i, --idle
    setzt die Scheduling-Regel auf SCHED_IDLE (Linux-spezifisch, unterstützt seit 2.6.23). Das Prioritäts-Argument muss auf Null gesetzt werden.

-d, --deadline
    legt die Scheduling-Regel auf SCHED_DEADLINE fest (Linux-spezifisch, seit 3.14 unterstützt). Das Prioritäts-Argument muss auf Null gesetzt werden. Siehe auch --sched-runtime, --sched-deadline und --sched-period. Der Zusammenhang zwischen den vom Kernel verlangten Optionen ist Laufzeit <= deadline <= Periode. chrt kopiert period nach deadline, falls --sched-deadline nicht festgelegt ist und deadline nach runtime, falls --sched-runtime nicht festgelegt ist. Das bedeutet, dass mindestens --sched-period festgelegt sein muss. Siehe sched(7) für weitere Details.

SCHEDULING-OPTIONEN

-T, --sched-runtime Nanosekunden
    legt die Laufzeitparameter für die SCHED_DEADLINE-Regel fest (Linux-spezifisch)

-P, --sched-period Nanosekunden
    legt den Periodenparameter für die SCHED_DEADLINE-Regel fest (Linux-spezifisch)

-D, --sched-deadline Nanosekunden
    legt den Deadline-Parameter für die SCHED_DEADLINE-Regel fest (Linux-spezifisch)

-R, --reset-on-fork
    fügt den SCHED_RESET_ON_FORK-Schalter zu den Scheduling-Regeln SCHED_FIFO oder SCHED_RR hinzu (Linux-spezifisch, unterstützt seit 2.6.31).

OPTIONEN

-a, --all-tasks
    setzt oder ermittelt die Scheduling-Attribute aller Prozesse (Threads) für eine gegebene Kennung (PID).

-m, --max
    zeigt die minimal und maximal möglichen Prioritäten und beendet dann das Programm.

-p, --pid
    verwendet eine vorhandene Prozesskennung (PID), anstatt einen neuen Prozess zu starten.

-v, --verbose
    zeigt Statusinformationen an.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

VERWENDUNG

Das Standardverhalten ist die Ausführung eines neuen Befehls:
    chrt Priorität Befehl [Argumente]

Sie können auch die Echtzeitattribute eines existierenden Prozesses ermitteln:
    chrt -p PID

Oder sie festlegen:
    chrt -r -p Priorität PID

ZUGRIFFSRECHTE
Ein Benutzer muss über CAP_SYS_NICE verfügen, um die Scheduling-Attribute eines Prozesses zu ändern. Die Ermittlung der Scheduling-Attribute ist allen Benutzern erlaubt.

ANMERKUNGEN
Nur SCHED_FIFO, SCHED_OTHER und SCHED_RR sind Teil des Prozess-Schedulings nach POSIX 1003.1b. Die anderen Scheduling-Attribute können auf einigen Systemen ignoriert werden.

Die unter Linux vorgegebene Scheduling-Regel ist SCHED_OTHER.

SIEHE AUCH
nice(1), renice(1), taskset(1), sched(7)

In sched_setscheduler(2) finden Sie eine Beschreibung des Scheduling-Schemas in Linux.

AUTOREN
Robert Love (rml@tech9.net)
Karel Zak (kzak@redhat.com)

VERFÜGBARKEIT
Der Befehl chrt ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.